Subject: Re: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Dec 2023 16:40:48 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 09 Dec 2023 15:13:53 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Once again, the fact that the second TAB shows both completion
> > interfaces is not the problem: as you point out that was how Emacs
> > behaved since long ago.  The problem here is that the _first_ TAB does
> > NOT show in-buffer completions.
> 
> Yes, but what I pointed out was that the first TAB has been showing both
> interfaces since Emacs 27, just not with this particular recipe.

That's not what I see in Emacs 29.  There' the first TAB shows only
the in-buffer completions, and the second TAB pops up the
*Completions* buffer (without removing the in-buffer completions).

> >> If it doesn't make sense for `icomplete-in-buffer` to appear along
> >> with the *Completions* buffer
> >
> > Again, this is not the problem to solve.
> 
> Could you explain what you mean here?  If this behavior doesn't make
> sense, isn't it worth trying to solve it for all cases, rather than just
> for one specific case?

I don't think I understand what you mean by "one specific case".
Which case, and why is it specific?

Sean reported a regression in behavior under icomplete-in-buffer, so I
looked into the recipe he posted.  What I saw was that Emacs 29 shows
the in-buffer completions after the first TAB and adds to that the
*Completions* buffer after the second TAB.  By contrast, Emacs 30
shows nothing after the first TAB, and shows both in-buffer
completions and the *Completions* buffer after the second TAB.  So my
conclusion was that the regression is the behavior after the first
TAB.  If this conclusion is incorrect, please tell what did I miss.